package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.MobileBannerInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface MobileBannerInfoService {
	MobileBannerInfo get(String id);
	boolean exist(String id);
	int insert(MobileBannerInfo model);
	int update(MobileBannerInfo model);
	int delete(String id);
	List<MobileBannerInfo> list();
	List<MobileBannerInfo> getBannerInfo(String type);
	Page<MobileBannerInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}